Name: sysstat
Version: 3.3.3
Release: 3
Summary: Includes the sar and iostat system monitoring commands.
License: GPL
Group: Applications/System
Source: http://metalab.unc.edu/pub/Linux/system/status/%{name}-%{version}.tar.gz
Source1: sysstat.cronhourly
Source2: sysstat.crondaily
Patch0: sysstat-3.3.3-config.patch
Patch1: sysstat-3.3.3-fixman.patch
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: kernel >= 2.2.16-21
Prereq: sh-utils textutils grep fileutils

%description
This package provides the sar and iostat commands for the Linux
operating system, similar to their traditional UNIX counterparts.
They enable system monitoring of disk, network, and other IO activity.

%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .fixman

%build
rm -rf $RPM_BUILD_ROOT
make CFLAGS="$RPM_OPT_FLAGS" PREFIX=%{_prefix}

%install
rm -rf %{buildroot}
make install MAN_DIR=%{_mandir}

mkdir -p %{buildroot}/etc/{cron.daily,cron.hourly}
install %{SOURCE1} %{buildroot}/etc/cron.hourly/sysstat
install %{SOURCE2} %{buildroot}/etc/cron.daily/sysstat

%triggerpostun -- sysstat <= 3.3.3-1
# earlier versions of sysstat had crontabs done in a bad way.  fix it.
if [ `id -u` = "0" -a "$1" -ge "2" ]; then
  egrep -v 'sysstat|sa1|sa2' /etc/crontab > /tmp/crontab.$$
  mv /tmp/crontab.$$ /etc/crontab && chmod 644 /etc/crontab
fi

%preun
if [ "$1" = 0 ]; then
  # Remove sa logs if removing sysstat completely
  rm -f /var/log/sa/*
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES COPYING CREDITS README
/etc/cron.hourly/sysstat
/etc/cron.daily/sysstat
%{_bindir}/*
%{_libdir}/sa
%{_mandir}/man1/*
%{_mandir}/man8/*
/var/log/sa
%{_datadir}/locale/*/LC_MESSAGES/*

%changelog
* Tue Jan 17 2001 Preston Brown <pbrown@redhat.com>
- iostat man page fixes

* Fri Jan 05 2001 Preston Brown <pbrown@redhat.com>
- 3.3.3, crontab fixes

* Fri Dec 29 2000 Bill Nottingham <notting@redhat.com>
- fix prereqs

* Fri Oct 13 2000 Preston Brown <pbrown@redhat.com>
- crontab entry was still incorrect.  Fixed.

* Mon Oct 09 2000 Preston Brown <pbrown@redhat.com>
- make sure disk accounting is enabled to fix iostat -l, -p (#16268)
- crontab entries were missing the user (root) to run as (#18212)

* Tue Aug 22 2000 Preston Brown <pbrown@redhat.com>
- enable IO accounting now that kernel supports it

* Wed Aug 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix buildrooting (#16271)

* Tue Aug 08 2000 Preston Brown <pbrown@redhat.com>
- bugfixes in 3.2.4 cause our inclusion. :)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Preston Brown <pbrown@redhat.com>
- 3.2.3 fixes SMP race condition

* Tue Jun 20 2000 Preston Brown <pbrown@redhat.com>
- FHS macros
- 3.2.2

* Fri May 26 2000 Preston Brown <pbrown@redhat.com>
- packaged for Winston
- change va patch to indicate kernel is not patched for iostat accounting.
  re-enable if our stock kernel gets this patch.
- upgrade to 3.2.
- install crontab entry.

* Sun Dec 12 1999  Ian Macdonald <ian@caliban.org>
- upgraded to 2.2

* Fri Oct 29 1999  Ian Macdonald <ian@caliban.org>
- first RPM release (2.1)
